Description

Hi,

| tried quite long time to developed solution how automatically refresh issue's notes without refreshing whole page.

| tested soulution via AJAX or JS with refreshing only DIV "history" using timer. For example:

$ (document) .ready (function () {
setInterval (function () {
$( "#history" ).load(window.location.href + " #history.");
/*$( "#tab-content-history") .load(window.location.href + " #tab-content-history.tab-content"
)ix/
}, 30000);
1)

It doesn't work how | expacted. Page is refreshed, but notes don't show.
| tested for example plugin redmine_refresh.

But | think it exists better way how it solved. I'm aiming on Server-Sent Event. gem Id-evensource

How | imagine it can works - focused on issue-detail page:
On server running "services" who listen changes on issues (create issue, update issue, ...).

If issue is new, then work as normal (like now).

If issue is updated, then check attributes which was changed and journal has no notes, then reload div #history, show tab History and
Changes

If issue is updated, then check attributes which was changed and journal has note, then reload div #history, show tabs History, Notes
and Changes and show note.

Maybe | forgot some stulff.

| would like to create discussion about this problem, so come to talk about it. | appreciate it. :-) Redmine is great, but this feature will
send him on Olymp... :-)

Feel free for question.

With best regards
David

History

#1 - 2021-05-12 01:33 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Invalid

Please use forums for questions. Issues are used to report a bug, suggesting a new feature, or submitting a patch. Reading How to request help may
be helpful for you.

#2 - 2021-05-12 12:29 - David Dolezal
Go MAEDA: OK. But think about it as feature, not issue or bug... ;-)
www.redmine.org/projects/redmine/boards
http://www.redmine.org/boards/2/topics/667

#3 - 2021-05-12 12:34 - David Dolezal

And for completeness - here is url for discussion on forum: hitps:/www.redmine.org/boards/1/topics/65414

#4 - 2021-05-31 01:53 - Lorenzo Meneghetti

David Dolezal wrote:

Hi,
| tried quite long time to developed solution how automatically refresh issue's notes without refreshing whole page.

IMO, this is definitely a Feature. May be should write: "Please add support for SSE updates for issue journal"
thanks
